Last Comment Bug 632396 - [SeaMonkey] mochitest-browser-chrome: about 170 test failures caused by "incompatible" DOMi
: [SeaMonkey] mochitest-browser-chrome: about 170 test failures caused by "inco...
Status: VERIFIED FIXED
[fixed by bug 631286] [perma-orange]
:
Product: SeaMonkey
Classification: Client Software
Component: Startup & Profiles (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1b3
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
Depends on: 631286
Blocks: SmTestFail 630462
  Show dependency treegraph
 
Reported: 2011-02-08 07:41 PST by Serge Gautherie (:sgautherie)
Modified: 2011-02-09 05:24 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2011-02-08 07:41:28 PST
http://build.mozillamessaging.com/tinderboxpushlog/?tree=SeaMonkey
See "bugzilla@standard8.plus.com – Fri Feb 4 02:46:52 2011 PST"
Regression timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f2a6a78478dc&tochange=51f36c6a7d38
Bug 627328...

I'm not sure whether this is a Core regression or not-yet-updated (SeaMonkey) tests.
Comment 1 Mounir Lamouri (:mounir) 2011-02-08 09:27:32 PST
It's hard to find which tests are exactly failing in SeaMonkey's TBPL. Could you given me a [few] mxr links? I had a test that needed to be updated in mozilla-central so it might be the same issue.
Comment 2 Serge Gautherie (:sgautherie) 2011-02-08 10:53:11 PST
I ran toolkit/mozapps/extensions/test/browser/browser_bug557956.js locally
and noticed that bug 631286 should help, if not fix this issue...

Maybe there's a "trick" that I'm not aware of, as updating SeaMonkey version was the changeset just before comment 0 timeframe :-/

Let's hope that's just that.
Comment 3 Robert Kaiser 2011-02-08 11:33:58 PST
Not sure how much what's set on AMO matters here. If it does, we'll in addition need to file bugs on venkman and ChatZilla updating their info on AMO for compatibility with 2.1b3, which their maintainers need to set.
Comment 4 Serge Gautherie (:sgautherie) 2011-02-09 02:03:16 PST
(In reply to comment #2)
> and noticed that bug 631286 should help, if not fix this issue...

Bug 631286, indeed :-<


(In reply to comment #3)
> Not sure how much what's set on AMO matters here.

AMO should not matter, afaik.
Comment 5 Serge Gautherie (:sgautherie) 2011-02-09 02:07:07 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1297218906.1297220835.10413.gz
OS X 10.5 comm-central-trunk debug test mochitest-other on 2011/02/08 18:35:06
{
mochitest-browser-chrome: 11221/0/8
}

V.Fixed
Comment 6 neil@parkwaycc.co.uk 2011-02-09 03:59:32 PST
(In reply to comment #4)
> (In reply to comment #3)
> > Not sure how much what's set on AMO matters here.
> AMO should not matter, afaik.
Although Mossop told me on IRC that AMO data overrides install.rdf, we shouldn't be pinging AMO on a test run, should we?
Comment 7 Robert Kaiser 2011-02-09 05:24:19 PST
(In reply to comment #6)
> Although Mossop told me on IRC that AMO data overrides install.rdf, we
> shouldn't be pinging AMO on a test run, should we?

And we probably aren't as browser-chrome is green. We still probably should file bugs on those two add-ons to correct the AMO settings (or grab a hold of their maintainers on IRC).

Note You need to log in before you can comment on or make changes to this bug.